This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 815501 - Move mono-gdb.py under /usr/share/gdb/auto-load/
Move mono-gdb.py under /usr/share/gdb/auto-load/
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Timotheus Pokorra
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 14:09 EDT by Jan Kratochvil
Modified: 2016-01-04 09:27 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-04 09:03:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Tested .spec fix. (853 bytes, patch)
2012-04-23 14:41 EDT, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Jan Kratochvil 2012-04-23 14:09:35 EDT
Description of problem:
/usr/bin/mono-gdb.py works but it has some implications such as being outside of the secure area.

Version-Release number of selected component (if applicable):
mono-core-2.10.5-1.fc16.x86_64
mono-core-2.10.8-2.fc17.x86_64

How reproducible:
Always.

Steps to Reproduce:
gdb /usr/bin/mono

Actual results:
warning: File "/usr/bin/mono-gdb.py" auto-loading has been declined by your `auto-load safe-path' set to "...something...".

Expected results:
Mono support loaded.

Additional info:
Currently it works but it is cleener to place it under /usr/share/gdb/auto-load/.
Comment 1 Jan Kratochvil 2012-04-23 14:41:27 EDT
Created attachment 579656 [details]
Tested .spec fix.

It still needs to be upstreamed, though.
But the new GDB security feature is fresh / under development upstream.
Comment 2 Mads Kiilerich 2012-05-14 11:41:53 EDT
The file is also not executable and do thus not belong in /usr/bin:

-rw-r--r--.   1 root root       11418 Apr 16 23:59 /usr/bin/mono-gdb.py

mono-core-2.10.8-2.fc17.i686
Comment 3 Fedora End Of Life 2012-08-07 13:00:49 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jan Kratochvil 2012-08-07 16:01:20 EDT
Still affects even Rawhide: mono-core-2.10.8-3.fc18.x86_64
Comment 5 Jan Kratochvil 2013-02-04 12:40:00 EST
Not just Rawhide but all the currently supported version.
Comment 6 Fedora End Of Life 2013-04-03 15:32:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Jan Kratochvil 2014-07-08 11:44:12 EDT
Going to remove this workaround from gdb.rpm as Mono maintainer already had 2+ years to fix it.
Comment 8 Fedora End Of Life 2015-01-09 16:57:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-11-04 10:44:30 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Jan Kratochvil 2015-11-13 12:55:38 EST
mono-core-4.0.5-1.fc24.x86_64
Comment 11 Timotheus Pokorra 2016-01-04 09:03:40 EST
I have applied the patch now for Rawhide.

http://pkgs.fedoraproject.org/cgit/mono.git/commit/?id=4697d99d42051fb23d0374c8509f51ed63112153
Comment 12 Jan Kratochvil 2016-01-04 09:13:10 EST
I see now there should be rather:
+%{_datadir}/gdb/auto-load/*
than the line I originally posted here 4 years ago:
+%{_datadir}/gdb/auto-load
(Because the directory itself is already owned by GDB.)
But that is a common unimportant packaging bug.
Thanks for the fix application.
Comment 13 Timotheus Pokorra 2016-01-04 09:27:40 EST
Thanks for the suggestion, I have applied that now to the rawhide branch.

Note You need to log in before you can comment on or make changes to this bug.